
Auto Multiple Choice - Bug # 72: Cannot "calculer les mises en page" if more than 5 copies

Status: Closed Priority: Normal
Author: Nicolas Pettiaux Category:
Created: 09/04/2012 Assignee:
Updated: 03/08/2013 Due date:
Description: With the AMC-TXT input in annex, I can generate as many copies as required, and the LaTeX compilation 

works, but if I generate more than 5, the  "calculer les mises en page" does not work.

I use AMC 1.1.0 (svn: 1075) on ubuntu 12.04

I get «Aucune mise en page n'a été fabriquée. Ne faites pas passer l'examen avant d'avoir réglé le problème, 
sinon vous ne pourrez pas utiliser AMC pour la correction.»

And the log windows shows

 Unknown dim: -77645sp at /usr/lib/AMC/perl/AMC-meptex.pl line 75, <SRC> line 3978.

* What happens ?
* What can I do ?

Thanks

History
09/04/2012 11:46 am - Alexis Bienvenüe
This bug does not show on my system (even on a fresh virtualbox with lubuntu 12.04 and AMC 1.1.0 from the PPA)...
Can you send me the whole project directory and a log file produced by AMC in debugging mode?

09/20/2012 09:49 am - Alexis Bienvenüe
- Status changed from New to Feedback

10/28/2012 02:57 pm - Andrés  Alvarado
Workaround:  I changed "\documentclass[a4paper]" to "\documentclass[letterpaper]"

-------

Origanally, I got this message:
>Unknown dim: -484817sp at /usr/lib/AMC/perl/AMC-meptex.pl line 75, <SRC> line 78

Then I checked the "DOC-calage.xy", it turns out it had negative numbers.  
When I erased the sign of the negative numbers, AMC-meptex.pl did not throw errors, it worked OK.

I assummed that some points might be outside de page because of the page size.

10/28/2012 02:59 pm - Andrés  Alvarado
Andrés  Alvarado wrote:
> Workaround:  I changed "\documentclass[a4paper]" to "\documentclass[letterpaper]"
> 
> -------
> 
> Origanally, I got this message:
> >Unknown dim: -484817sp at /usr/lib/AMC/perl/AMC-meptex.pl line 75, <SRC> line 78
> 
> Then I checked the "DOC-calage.xy", it turns out it had negative numbers.  
> When I erased the sign of the negative numbers, AMC-meptex.pl did not throw errors, it worked OK.
> 
> I assummed that some points might be outside the page because of the page size.

10/28/2012 03:37 pm - Nicolas Pettiaux
Alexis Bienvenüe wrote:
> This bug does not show on my system (even on a fresh virtualbox with lubuntu 12.04 and AMC 1.1.0 from the PPA)...
> Can you send me the whole project directory and a log file produced by AMC in debugging mode?

how do I proceed to put AMC in debugging mode ?

10/29/2012 08:45 pm - Alexis Bienvenüe
> how do I proceed to put AMC in debugging mode ?
From menu "Help", choose the entry "debugging".

03/08/2013 09:39 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Files
simple-txt.txt 296 Bytes 09/04/2012 Nicolas Pettiaux
amc-compiled.log 20.8 kB 09/04/2012 Nicolas Pettiaux
